export default {
  languageOptions: {
    ecmaVersion: 2021,
    sourceType: "module",
  },
  ignores: ["*.js", "*.cjs", "*.mjs", "/src/Backup/*"],
  plugins: ["@typescript-eslint", "simple-import-sort"],
  extends: [
    "eslint:recommended",
    "plugin:@typescript-eslint/recommended",
    "prettier",
  ],
  rules: {
    "@typescript-eslint/no-explicit-any": "off",
    "simple-import-sort/imports": "error",
    "simple-import-sort/exports": "error",
  },
  overrides: [
    {
      files: ["**/*.ts", "**/*.tsx"],
      languageOptions: {
        parser: "@typescript-eslint/parser",
      },
    },
  ],
}
